package com.foreverwin.mesnac.meapi.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 
 * </p>
 *
 * @author robert
 * @since 2021-06-23
 */

@TableName("NC_GROUP")

public class NcGroup extends Model<NcGroup> {

    private static final long serialVersionUID = 1L;

   @TableId(value = "HANDLE", type = IdType.INPUT)
   private String handle;
   @TableField("CHANGE_STAMP")
   private Long changeStamp;
   @TableField("SITE")
   private String site;
   @TableField("NC_GROUP")
   private String ncGroup;
   @TableField("DESCRIPTION")
   private String description;
   @TableField("VALID_AT_ALL_OPERATIONS")
   private String validAtAllOperations;
   @TableField("PRIORITY")
   private Long priority;
   @TableField("CREATED_DATE_TIME")
   private LocalDateTime createdDateTime;
   @TableField("MODIFIED_DATE_TIME")
   private LocalDateTime modifiedDateTime;


   public String getHandle() {
      return handle;
   }

   public void setHandle(String handle) {
      this.handle = handle;
   }

   public Long getChangeStamp() {
      return changeStamp;
   }

   public void setChangeStamp(Long changeStamp) {
      this.changeStamp = changeStamp;
   }

   public String getSite() {
      return site;
   }

   public void setSite(String site) {
      this.site = site;
   }

   public String getNcGroup() {
      return ncGroup;
   }

   public void setNcGroup(String ncGroup) {
      this.ncGroup = ncGroup;
   }

   public String getDescription() {
      return description;
   }

   public void setDescription(String description) {
      this.description = description;
   }

   public String getValidAtAllOperations() {
      return validAtAllOperations;
   }

   public void setValidAtAllOperations(String validAtAllOperations) {
      this.validAtAllOperations = validAtAllOperations;
   }

   public Long getPriority() {
      return priority;
   }

   public void setPriority(Long priority) {
      this.priority = priority;
   }

   public LocalDateTime getCreatedDateTime() {
      return createdDateTime;
   }

   public void setCreatedDateTime(LocalDateTime createdDateTime) {
      this.createdDateTime = createdDateTime;
   }

   public LocalDateTime getModifiedDateTime() {
      return modifiedDateTime;
   }

   public void setModifiedDateTime(LocalDateTime modifiedDateTime) {
      this.modifiedDateTime = modifiedDateTime;
   }

public static final String HANDLE = "HANDLE";

public static final String CHANGE_STAMP = "CHANGE_STAMP";

public static final String SITE = "SITE";

public static final String NC_GROUP = "NC_GROUP";

public static final String DESCRIPTION = "DESCRIPTION";

public static final String VALID_AT_ALL_OPERATIONS = "VALID_AT_ALL_OPERATIONS";

public static final String PRIORITY = "PRIORITY";

public static final String CREATED_DATE_TIME = "CREATED_DATE_TIME";

public static final String MODIFIED_DATE_TIME = "MODIFIED_DATE_TIME";


   @Override
   protected Serializable pkVal() {
      return this.handle;
   }

   @Override
   public String toString() {
      return "NcGroup{" +
         "handle = " + handle +
         ", changeStamp = " + changeStamp +
         ", site = " + site +
         ", ncGroup = " + ncGroup +
         ", description = " + description +
         ", validAtAllOperations = " + validAtAllOperations +
         ", priority = " + priority +
         ", createdDateTime = " + createdDateTime +
         ", modifiedDateTime = " + modifiedDateTime +
         "}";
   }
}